/**
 * This file is part of Advanced Custom Fields: Carousel.
 *
 * Advanced Custom Fields: Carousel is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 2 of the License, or any later version.
 *
 * Advanced Custom Fields: Carousel is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Advanced Custom Fields: Carousel.  If not, see <https://www.gnu.org/licenses/>.
 */

import { G, Path, SVG } from '@wordpress/primitives';

const icon = (
	<SVG fill="none" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
		<Path
			d="m6 4.75h12c.6904 0 1.25.55964 1.25 1.25v12c0 .6904-.5596 1.25-1.25 1.25h-12c-.69036 0-1.25-.5596-1.25-1.25v-12c0-.69036.55964-1.25 1.25-1.25z"
			stroke="currentColor" stroke-width="1.5" fill="none"/>
		<G fill="currentColor">
			<Path d="m7 9h2v2h-2z"/>
			<Path d="m7 13h2v2h-2z"/>
			<Path d="m10 9h7v2h-7z"/>
			<Path d="m10 13h7v2h-7z"/>
			<Path d="m23 18c-.8284 0-1.5-.6716-1.5-1.5v-9c0-.82843.6716-1.5 1.5-1.5z"/>
			<Path d="m1 6c.82843 0 1.5.67157 1.5 1.5v9c0 .8284-.67157 1.5-1.500001 1.5z"/>
		</G>
	</SVG>
);

export default icon;
